Subject: lclint

From: /users/domivogt <[email-masked]>
Date: Mon, 2 Nov 1998 22:39:58 +0100

I attempted to check fvwm with lclint. The results were -
overwhelming ;-) After spending a hard hour looking through
all the warnings I came to the conclusion that the largest
part comes from X11 functions that return values through
pointers (lclint whines because the variables are usually
undefined when the pointer is used).

Does anybody have any experience with this? I do not want
to disable this warning completely. Perhaps there is a way 
to tell lclint which functions are OK. Any hints?

Bye

Dominik
-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].